package com.ruoyi.system.service.impl;

import java.util.List;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProductTractionheadMapper;
import com.ruoyi.system.domain.ProductTractionhead;
import com.ruoyi.system.service.IProductTractionheadService;

/**
 * 牵引头表 服务实现
 *
 * @author ruoyi
 */
@Service
public class ProductTractionheadServiceImpl implements IProductTractionheadService
{
    @Autowired
    private ProductTractionheadMapper productTractionheadMapper;

    /**
     * 查询牵引头集合
     *
     * @param productTractionhead 牵引头信息
     * @return 牵引头集合
     */
    @Override
    public List<ProductTractionhead> selectProductTractionheadList(ProductTractionhead productTractionhead)
    {
        return productTractionheadMapper.selectProductTractionheadList(productTractionhead);
    }

    /**
     * 分页查询牵引头集合
     *
     * @param productTractionhead 牵引头信息
     * @return 分页数据
     */
    @Override
    public TableDataInfo selectProductTractionheadListByPage(ProductTractionhead productTractionhead, Integer pageNum, Integer pageSize)
    {
        if (pageNum == null) pageNum = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(pageNum, pageSize);
        List<ProductTractionhead> list = productTractionheadMapper.selectProductTractionheadList(productTractionhead);
        PageInfo<ProductTractionhead> pageInfo = new PageInfo<>(list);
        return new TableDataInfo(list, pageInfo.getTotal());
    }

    /**
     * 根据ID查询牵引头信息
     *
     * @return 牵引头信息
     */
    @Override
    public ProductTractionhead selectProductTractionheadById(String productId)
    {
        return productTractionheadMapper.selectProductTractionheadById(productId);
    }

    /**
     * 新增牵引头信息
     *
     * @param productTractionhead 牵引头信息
     * @return 结果
     */
    @Override
    public int insertProductTractionhead(ProductTractionhead productTractionhead)
    {
        return productTractionheadMapper.insertProductTractionhead(productTractionhead);
    }

    /**
     * 修改牵引头信息
     *
     * @param productTractionhead 牵引头信息
     * @return 结果
     */
    @Override
    public int updateProductTractionhead(ProductTractionhead productTractionhead)
    {
        return productTractionheadMapper.updateProductTractionhead(productTractionhead);
    }

    /**
     * 删除牵引头信息
     *
     * @return 结果
     */
    @Override
    public int deleteProductTractionheadById(String ProductId)
    {
        return productTractionheadMapper.deleteProductTractionheadById(ProductId);
    }

    /**
     * 批量删除牵引头信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    @Override
    public int deleteProductTractionheadByIds(Long[] ids)
    {
        return productTractionheadMapper.deleteProductTractionheadByIds(ids);
    }
}